vertx / io.vertx.kotlin.ext.shell.term / telnetTermOptionsOf

# telnetTermOptionsOf

`fun telnetTermOptionsOf(acceptBacklog: Int? = null, charset: String? = null, clientAuth: ClientAuth? = null, clientAuthRequired: Boolean? = null, crlPaths: Iterable<String>? = null, crlValues: Iterable<Buffer>? = null, enabledCipherSuites: Iterable<String>? = null, enabledSecureTransportProtocols: Iterable<String>? = null, host: String? = null, idleTimeout: Int? = null, idleTimeoutUnit: TimeUnit? = null, inBinary: Boolean? = null, intputrc: String? = null, jdkSslEngineOptions: JdkSSLEngineOptions? = null, keyStoreOptions: JksOptions? = null, logActivity: Boolean? = null, openSslEngineOptions: OpenSSLEngineOptions? = null, outBinary: Boolean? = null, pemKeyCertOptions: PemKeyCertOptions? = null, pemTrustOptions: PemTrustOptions? = null, pfxKeyCertOptions: PfxOptions? = null, pfxTrustOptions: PfxOptions? = null, port: Int? = null, receiveBufferSize: Int? = null, reuseAddress: Boolean? = null, reusePort: Boolean? = null, sendBufferSize: Int? = null, sni: Boolean? = null, soLinger: Int? = null, ssl: Boolean? = null, sslHandshakeTimeout: Long? = null, sslHandshakeTimeoutUnit: TimeUnit? = null, tcpCork: Boolean? = null, tcpFastOpen: Boolean? = null, tcpKeepAlive: Boolean? = null, tcpNoDelay: Boolean? = null, tcpQuickAck: Boolean? = null, trafficClass: Int? = null, trustStoreOptions: JksOptions? = null, useAlpn: Boolean? = null, usePooledBuffers: Boolean? = null): TelnetTermOptions`

A function providing a DSL for building io.vertx.ext.shell.term.TelnetTermOptions objects.

Telnet terminal options configuration, extends io.vertx.core.net.NetServerOptions.

### Parameters

`acceptBacklog` - Set the accept back log

`charset` - Set the charset to use when binary mode is active, see io.vertx.ext.shell.term.TelnetTermOptions and io.vertx.ext.shell.term.TelnetTermOptions.

`clientAuth` - Set whether client auth is required

`clientAuthRequired` - Set whether client auth is required

`crlPaths` - Add a CRL path

`crlValues` - Add a CRL value

`enabledCipherSuites` - Add an enabled cipher suite, appended to the ordered suites.

`enabledSecureTransportProtocols` - Sets the list of enabled SSL/TLS protocols.

`host` - Set the host

`idleTimeout` - Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout. If you want change default time unit, use io.vertx.core.net.NetServerOptions

`idleTimeoutUnit` - Set the idle timeout unit. If not specified, default is seconds.

`inBinary` - Set the telnet connection to negociate binary data format when receiving from the client, the default value is true. This allows to send data in 8 bit format and thus charset like UTF-8.

`intputrc` - The path of the inputrc config.

`jdkSslEngineOptions` -

`keyStoreOptions` - Set the key/cert options in jks format, aka Java keystore.

`logActivity` - Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.

`openSslEngineOptions` -

`outBinary` - Set the telnet connection to negociate binary data format when sending to the client, the default value is true. This allows to send data in 8 bit format and thus charset like UTF-8.

`pemKeyCertOptions` - Set the key/cert store options in pem format.

`pemTrustOptions` - Set the trust options in pem format

`pfxKeyCertOptions` - Set the key/cert options in pfx format.

`pfxTrustOptions` - Set the trust options in pfx format

`port` - Set the port

`receiveBufferSize` - Set the TCP receive buffer size

`reuseAddress` - Set the value of reuse address

`reusePort` - Set the value of reuse port. This is only supported by native transports.

`sendBufferSize` - Set the TCP send buffer size

`sni` - Set whether the server supports Server Name Indiciation

`soLinger` - Set whether SO_linger keep alive is enabled

`ssl` - Set whether SSL/TLS is enabled

`sslHandshakeTimeout` - Set the SSL handshake timeout, default time unit is seconds.

`sslHandshakeTimeoutUnit` - Set the SSL handshake timeout unit. If not specified, default is seconds.

`tcpCork` - Enable the TCP_CORK option - only with linux native transport.

`tcpFastOpen` - Enable the TCP_FASTOPEN option - only with linux native transport.

`tcpKeepAlive` - Set whether TCP keep alive is enabled

`tcpNoDelay` - Set whether TCP no delay is enabled

`tcpQuickAck` - Enable the TCP_QUICKACK option - only with linux native transport.

`trafficClass` - Set the value of traffic class

`trustStoreOptions` - Set the trust options in jks format, aka Java truststore

`useAlpn` - Set the ALPN usage.

`usePooledBuffers` - Set whether Netty pooled buffers are enabled